> For the complete documentation index, see [llms.txt](https://docs.cloudfabrix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cloudfabrix.io/rda/installation/log-shippers/winlogbeat-windows.md).

# Winlogbeat (Windows)

This section explains how you can configure 'Winlogbeat' like a log shipper.

In order for winlogbeat component from the Windows environment to send the log details to the event gateway,  users have to configure two elements.

1. Event Gateway Endpoint
2. Winlogbeat configuration

**Step 1:**&#x20;

An example Event Gateway Endpoint configuration is captured in the below configuration snippet

```
Gateway Endpoint:
endpoints:
- name: winlog_01 # URL is implicit, http://ip:port/winlogs
  type: filebeat
  stream: winlogbeat
  ssl: false
  enabled: true
  xpack_features: min
  attrs:
    site_code: win-dc
  port: 8508

```

An example windows based winlogbeat configuration is captured in the below configuration snippet.

Update winlogbeat.yaml file with elastic search details as event gateway IP address:

**Step 2:**&#x20;

```
output.elasticsearch:
  # Array of hosts to connect to.
  hosts: ["http://eventgatewayip:8508/winlogs"]
```

```
#Example configuration

output.elasticsearch:
  # Array of hosts to connect to.
  hosts: ["http://10.95.122.185:8508/winlogs"]
```

**Step 3:**

Restart winlogbeat services from Powershell from the winlogbeat installed path

```
stop-service winlogbeat
start-service winlogbeat
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cloudfabrix.io/rda/installation/log-shippers/winlogbeat-windows.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
